﻿@using NacGroup.Module.Blog.Models.Schema
@using NacGroup.Module.Core.Models
@using NacGroup.Module.Core.Services
@using Newtonsoft.Json.Linq
@model NacGroup.Module.Blog.Models.Schema.Blog
@inject IGettingGlobalConfigService GettingGlobalConfigService
@inject IThemeConfigService ThemeConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    ViewData["MetaTitle"] = Model.MetaTitle;
    ViewData["MetaDescription"] = Model.MetaDescription;
    ViewData["MetaKeyword"] = Model.MetaKeyword;
    Layout = "_Layout";
    var blogRecent = ViewData["BlogRecent"] as PagedResult<Blog>;
    var coverimage = ThemeConfigService.GetByKey(ConstKey.CoverImageThemeKey)?.Data;
    var coversrc = coverimage != null ? JArray.FromObject(coverimage) : null;
    var categoryName = Model.CategoryName.ToLower();
}
@section Style{
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/blog-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/blog-page.min.js"></script>
    <script>
        $(document).ready(function () {
            if (@categoryName === "promotion") {
                $(".nav li[data-id='coupons']").addClass("active");
            } else {
                $(".nav li[data-id='blogs']").addClass("active");
            }
        });
    </script>
}
<main id="blogdetail-page">
    <h1 class="hidden">@Model.MetaTitle</h1>
    <div id="breadcrumb" class="" style="background-image: url('@(coversrc != null ? coversrc[0]["Src"].ToString():"")')">
        <div class="container text-center p-4">
            <h2 class="breadcrumb-header h1 text-uppercase text-bold">@Model.Title</h2>
            <ul class="my-ul breadcrumb-body">
                <li><a href="/">Home</a></li>
                <li><a href="/blog-category/@Model.CategoryUrl">@Model.CategoryName</a></li>
                <li class="active">@Model.Title</li>
            </ul>
        </div>
    </div>
    <div class="container container-flex">
        <div class="row clearfix">
            <div class="col col-sm-4 col-md-3">
                <section id="sidebar">
                    <div class="col-item" id="col-blog">
                        <h2 class="col-item-header h3 text-bold">
                            Recent News
                        </h2>
                        <div class="col-item-body">
                            @foreach (var recentNews in blogRecent.Results)
                            {
                                <a href="/blogdetail/@recentNews.Url" class="item">
                                    <h3 class="h5 text-bold">@recentNews.Title</h3>
                                    <div class="date text-bold">@(recentNews.CreatedDate.ToShortDateString())</div>
                                </a>
                            }
                        </div>
                    </div>
                    <div class="col-item col-img">
                        <a href="@globalConfig.GlobalThemeConfig["Data"][4]["Url"]">
                            <img src="@globalConfig.GlobalThemeConfig["Data"][4]["Src"]" class="img-responsive"
                                 alt="@globalConfig.GlobalThemeConfig["Data"][4]["Alt"]">
                        </a>
                    </div>
                </section>
            </div>
            <div class="col col-sm-8 col-md-9">
                <section id="blogdetail" class="">
                    <div class="section-header m-bot-2 p-bot-2">
                        <div class="img-container">
                            <img src="@Model.Avatar" alt="@Model.Title">
                        </div>
                        <h2 class="h1 text-bold m-top-2">@Model.Title</h2>
                        <div class="date m-top-1 text-gray">
                            @if (@Model.Tags.Any()){@Model.Tags } | Posted @Model.CreatedDate.ToShortDateString() | <a href="/blog-category/@Model.CategoryUrl">@Model.CategoryName</a>
                        </div>
                    </div>
                    <div class="section-body blog-content">
                        @Html.Raw(Model.PageContent)
                    </div>
                    <div class="section-footer m-top-4">
                        <div class="social-container">
                            <a href="@(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteFacebook"])" data-label="Facebook"
                               onclick="window.open(this.href,this.title,'width=500,height=500,top=300px,left=300px'); return false;"
                               rel="nofollow" target="_blank"><i class="demo-icon ecs-facebook"></i></a>
                            <a href="@(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteTwitter"])"
                               onclick="window.open(this.href,this.title,'width=500,height=500,top=300px,left=300px');  return false;"
                               rel="nofollow" target="_blank"><i class="demo-icon ecs-twitter"></i></a>
                            <a href="@(globalConfig.GlobalWebSetting["WebInfomation"]["WebsiteTwitter"])" target="_blank"
                               onclick="window.open(this.href,this.title,'width=500,height=500,top=300px,left=300px');  return false;"
                               rel="nofollow"><i class="demo-icon ecs-gplus"></i></a>
                        </div>
                    </div>
                </section>
            </div>
        </div>
    </div>
</main>